#ifndef ADDRESSBOOK_H
#define ADDRESSBOOK_H

#include "addressbook_global.h"
#include <core.h>
#include <QObject>
#include <QtPlugin>



class ADDRESSBOOKSHARED_EXPORT Addressbook : public QObject, IMetaDataPlugin
{
    Q_OBJECT

    Q_PLUGIN_METADATA(IID PluginInterface_iid FILE "addressbook.json")
    Q_INTERFACES(IPlugin)

public:
    Addressbook();

protected:
    void initServiceUi() Q_DECL_OVERRIDE;



};

#endif // ADDRESSBOOK_H
